Qt 5.11 | Qt 3D | C++ Classes | QFrameGraphNodeCreatedChangeBase

Qt 5.11.3 Reference Documentation

# QFrameGraphNodeCreatedChangeBase Class

(Qt3DRender::QFrameGraphNodeCreatedChangeBase)

A base class for changes in the FrameGraphNode. More...

Header: | #include <QFrameGraphNodeCreatedChangeBase>
qmake: | QT += 3drender
Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

| QFrameGraphNodeCreatedChangeBase(const Qt3DRender::QFrameGraphNode *node)
Qt3DCore::QNodeId | parentFrameGraphNodeId() const

- 3 public functions inherited from Qt3DCore::QNodeCreatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Detailed Description

A base class for changes in the FrameGraphNode.

## Member Function Documentation

### QFrameGraphNodeCreatedChangeBase::QFrameGraphNodeCreatedChangeBase(const Qt3DRender::QFrameGraphNode *node)

Default constructs an instance of QFrameGraphNodeCreatedChangeBase.

### Qt3DCore::QNodeId QFrameGraphNodeCreatedChangeBase::parentFrameGraphNodeId() const